%define branch_date 20061013
%define __libtoolize    /bin/true

%define use_enable_final 0
%{?_enable_final: %{expand: %%global use_enable_final 1}}

%define compile_apidox 1
%{?_no_apidox: %{expand: %%global compile_apidox 0}}

%define unstable 0
%{?_unstable: %{expand: %%global unstable 1}}

%define branch 0
%{?_branch: %{expand: %%global branch 1}}

%if %unstable
%define dont_strip 1
%endif

%define compile_apidox 1
%{?_no_apidox: %{expand: %%global compile_apidox 0}}

%define build_java 0
%{?_with_java: %{expand: %%global build_java 1}}

%define jdk_path %{_prefix}/lib/jvm/java
%define java_includes %{_includedir}/libgcj

%define lib_major_kdec	1
%define lib_kdec	%mklibname kdec %{lib_major_kdec}

%define lib_major_kjsembed	1
%define lib_kjsembed	%mklibname kjsembed %{lib_major_kjsembed}

%define lib_major_smoke	1
%define lib_smoke	%mklibname smoke %{lib_major_smoke}

Name: kdebindings
Summary: Kdebindings
Version: 3.5.6
Release: %mkrel 1
Epoch: 1
Group: Graphical desktop/KDE
URL: ftp://ftp.kde.org/pub/kde/stable/%version/src/
%if %branch
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.%branch_date.tar.bz2
%else
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.bz2
%endif
Patch0: kdebindings-3.5.2-gcc4-bug21304-workaround.patch
Patch1: kdebindings-3.5.0-fix_lib64.patch
Patch2: kdebindings-3.4.1-fix-search-qconfigh-multiarch.patch
Patch3:	kdebindings-3.5.5-fix-python25.patch
License: GPL
BuildRoot: %_tmppath/%name-%version-%release-root
BuildRequires: gettext 
BuildRequires: kdelibs-devel
BuildRequires: bzip2-devel
BuildRequires: perl-devel
BuildRequires: texinfo
BuildRequires: ruby-devel
BuildRequires: openssl-devel
BuildRequires: qscintilla-devel
%if %{build_java}
BuildRequires: java-1.4.2-gcj-compat
BuildRequires: java-1.4.2-gcj-compat-devel
%endif
%py_requires -d


%description
This package contains
	* dcopjava: DCOP bindings for JAVA
	* dcopperl: DCOP bindings for Perl
	* dcoppython: DCOP bindings for Python (broken)
        * PyKDE: KDE bindings for python
	* kalyptus: C, Objective-C and Java bindings generator
	* kdejava ( optional ): KDE bindings for Java JNI to use Qt/KDE classes with Java
	* qtjava ( optional ): Qt bindings for Java JNI to use Qt/KDE classes with Java
	* ruby-qt: Qt bindings for Ruby

#------------------------------------------------------------

%define lib_smoke_kde %mklibname smokekde 1

%package -n %{lib_smoke_kde}
Summary: KDE generic bindings library
Group: Development/KDE and Qt
Obsoletes: %{lib_kdec}-devel < 3.5.1
Obsoletes: %{lib_kdec} < 3.5.1
Obsoletes: libsmoke1 <= 3.5.1


%description -n %{lib_smoke_kde}
KDE generic bindings library

%post -n %{lib_smoke_kde} -p /sbin/ldconfig
%postun -n %{lib_smoke_kde} -p /sbin/ldconfig

%files -n %{lib_smoke_kde}
%defattr(-,root,root)
%_libdir/libsmokekde.so.*

#------------------------------------------------------------

%define lib_smoke_qt %mklibname smokeqt 1

%package -n %{lib_smoke_qt}
Summary: Qt generic bindings library
Group: Development/KDE and Qt
Obsoletes: %{lib_kdec}-devel < 3.5.1
Obsoletes: %{lib_kdec} < 3.5.1
Obsoletes: libsmoke1 <= 3.5.1

%description -n %{lib_smoke_qt}
Qt generic bindings library

%post -n %{lib_smoke_qt} -p /sbin/ldconfig
%postun -n %{lib_smoke_qt} -p /sbin/ldconfig

%files -n %{lib_smoke_qt}
%defattr(-,root,root)
%_libdir/libsmokeqt.so.*

#------------------------------------------------------------

%package -n smoke-devel
Summary: Header files for libsmoke.
Group: Development/KDE and Qt
Requires: %{lib_smoke_qt} = %epoch:%version-%release
Requires: %{lib_smoke_kde} = %epoch:%version-%release
Provides: libsmoke-devel = %epoch:%version-%release
Obsoletes: %{lib_smoke}-devel < 3.5.1
Obsoletes: %{lib_kdec}-devel < 3.5.1
Obsoletes: %{lib_kdec} < 3.5.1

%description -n smoke-devel
smoke devel files

%files -n smoke-devel
%defattr(-,root,root)
%_includedir/smoke.h
%_libdir/libsmokekde.la
%_libdir/libsmokekde.so
%_libdir/libsmokeqt.so
%_libdir/libsmokeqt.la

#------------------------------------------------------------

%package -n kjsembed
Summary:	KJS Javascript interpreter.
Group: Development/KDE and Qt
Conflicts:	%{lib_smoke_kde} <= %{epoch}:3.5.0-2mdk

%description -n kjsembed
A library for embedding the KJS Javascript interpreter in application.

%post -n kjsembed
%update_menus
%if %mdkversion > 200600
%update_icon_cache hicolor
%endif

%postun -n kjsembed
%clean_menus
%if %mdkversion > 200600
%clean_icon_cache hicolor
%endif


%files -n kjsembed
%defattr(-,root,root)
%_bindir/kjscmd
%_bindir/jsaccess
%_bindir/embedjs
%_libdir/kde3/libqprocessplugin.*
%_libdir/kde3/libjsconsoleplugin.*
%_libdir/kde3/libcustomobjectplugin.*
%_libdir/kde3/libcustomqobjectplugin.*
%_libdir/kde3/libimagefxplugin.*
%_libdir/kde3/libfileitemplugin.*
%_libdir/kde3/libjavascript.*
%_datadir/applnk/Utilities/embedjs.desktop
%_datadir/apps/embedjs/embedjsui.rc
%_datadir/apps/kate/scripts/swaptabs.desktop
%_datadir/apps/kate/scripts/swaptabs.js
%_datadir/apps/kate/scripts/swaptabs.ui
%_datadir/apps/kjsembed/cmdline.js
%_datadir/services/qprocess_plugin.desktop
%_datadir/applications/kde/kjscmd.desktop
%_datadir/services/customobject_plugin.desktop
%_datadir/services/customqobject_plugin.desktop
%_datadir/servicetypes/binding_type.desktop
%_datadir/services/imagefx_plugin.desktop
%_datadir/services/javascript.desktop
%_datadir/services/kfileitem_plugin.desktop
%_datadir/icons/*/*/*/embedjs.png
%_menudir/*
%_mandir/man1/kjscmd.1.bz2

#------------------------------------------------------------

%package -n %lib_kjsembed
Summary:	KJS Javascript interpreter.
Group: Development/KDE and Qt
Conflicts: kjsembed < 3.5.1

%description -n %lib_kjsembed
A library for embedding the KJS Javascript interpreter in application.

%postun -n %lib_kjsembed -p /sbin/ldconfig
%post -n %lib_kjsembed -p /sbin/ldconfig

%files -n %lib_kjsembed
%defattr(-,root,root)
%_libdir/libkjsembed.so.*

#------------------------------------------------------------

%package -n %lib_kjsembed-devel
Summary:	Header files for KJS Javascript interpreter.
Group:		Development/KDE and Qt
Requires: %lib_kjsembed = %epoch:%version-%release
Provides: kjsembed-devel = %epoch:%version-%release
Conflicts: %lib_kjsembed < 1:3.5.1

%description -n %lib_kjsembed-devel
Header files for embedding the KJS Javascript interpreter in application.

%files -n %lib_kjsembed-devel
%defattr(-,root,root)
%dir %_includedir/kjsembed/
%_includedir/kjsembed/*.h
%_libdir/libkjsembed.so
%_libdir/libkjsembed.la

#------------------------------------------------------------

%package -n perl-DCOP
Summary:	perl DCOP bindings
Group: Development/KDE and Qt
Obsoletes: kdec < 3.5.1
Obsoletes: %{lib_kdec} < 3.5.1

%description -n perl-DCOP
perl DCOP bindings

%files -n perl-DCOP
%defattr(-,root,root)
%_prefix/local/share/man/man3/DCOP.3pm
%perl_sitearch/*.pm
%perl_sitearch/DCOP/Object.pm
%perl_sitearch/auto/DCOP/*.so

#------------------------------------------------------------

%package -n python-dcop
Summary: python DCOP bindings
Group: Development/KDE and Qt
Obsoletes: kdec < 3.5.1
Obsoletes: %{lib_kdec} < 3.5.1

%description -n python-dcop
python DCOP bindings

%files -n python-dcop
%defattr(-,root,root)
%py_platlibdir/pydcop.py
%py_platlibdir/site-packages/pcop.*

#------------------------------------------------------------

%package -n python-sip
Summary: python sip bindings
Group: Development/KDE and Qt
Provides: sip = %epoch:%version-%release
Obsoletes: sip < 1:3.5.1

%description -n python-sip
python sip bindings

%files -n python-sip
%defattr(-,root,root)
%_bindir/sip
%py_platsitedir/s*
%py_incdir/sip.h

#------------------------------------------------------------

%package -n python-qt
Summary: python Qt bindings
Group: Development/KDE and Qt
Provides: PyQt = %epoch:%version-%release
Requires: python-sip
Obsoletes: kdec < 3.5.1
Obsoletes: %{lib_kdec} < 3.5.1
Obsoletes: smoke < 3.5.1
Obsoletes: PyQt < 1:3.5.1

%description -n python-qt
python Qt bindings

%files -n python-qt
%defattr(-,root,root)
%_bindir/pyuic
%_bindir/pylupdate
%py_platsitedir/q*
%py_platsitedir/pyqtconfig.py
%_datadir/sip/q*

#------------------------------------------------------------

%package -n python-kde
Summary: python kde bindings
Group: Development/KDE and Qt
Provides: PyKDE = %epoch:%version-%release
Requires: python-qt = %epoch:%version-%release
Requires: python-dcop = %epoch:%version-%release
Obsoletes: kdec < 3.5.1
Obsoletes: PyKDE < 1:3.5.1
Obsoletes: %{lib_kdec} < 3.5.1
Obsoletes: smoke < 3.5.1

%description -n python-kde
python KDE bindings

%files -n python-kde
%defattr(-,root,root)
%py_platsitedir/k*
%py_platsitedir/d*
%py_platsitedir/pykdeconfig.py
%_datadir/sip/k*
%_datadir/sip/d*

#------------------------------------------------------------

%define lib_ruby	%mklibname qtruby

%package -n ruby-qt
Summary: Qt bindings for Ruby.
Group:		Development/KDE and Qt
Provides: qtruby = %{version}
Obsoletes: %{lib_ruby} < 3.5.1
Obsoletes: %{lib_ruby}1 < 3.5.1
Obsoletes: %{lib_ruby}1-devel < 3.5.1
Obsoletes: qtruby < 3.5.5

%description -n ruby-qt
A binding for Ruby language.

%files -n ruby-qt
%defattr(-,root,root)
%_bindir/krubyinit
%_bindir/qtrubyinit
%_bindir/rbkdeapi
%_bindir/rbkdesh
%_bindir/rbqtapi
%_bindir/rbqtsh
%_bindir/rbuic
%_bindir/rbkconfig_compiler
%{_prefix}/lib/ruby/site_ruby/*/*

#------------------------------------------------------------

%if %build_java

%package -n java-qt
Summary: Qt bindings for Java
Group: Development/KDE and Qt

%description -n java-qt
Qt bindings for java

%files -n java-qt
%defattr(-,root,root)

%package -n java-kde
Summary:	KDE bindings for Java
Group: Development/KDE and Qt

%description -n java-kde
KDE bindings for java

%files -n java-kde
%defattr(-,root,root)

%endif

#------------------------------------------------------------

%prep
%setup -q 
%patch0 -p1 -b .gcc4
%if "%{_lib}" != "lib"
%patch1 -p1 -b .fix_x86_64_build
%endif
%patch2 -p1 -b .fix_multiarch

#%patch3 -p0 -b .fix_compile

%build
export QTDIR=%qtdir
export CFLAGS="%optflags -I%{java_includes}" 
export CXXFLAGS="%optflags -I%{java_includes}" 

%configure2_5x \
%if %unstable
	--enable-debug=full \
%else
	--disable-debug \
%endif
%if %use_enable_final
	--enable-final \
%endif
	--disable-static \
    --disable-embedded \
    --disable-palmtop \
    --disable-rpath \
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif
	--with-pic \
%if %build_java
   --with-java=%jdk_path \
%else
   --without-java \
%endif
   --with-xinerama 

# kdebindings don't likes smp compiling
make

%install
if [ -d %buildroot ]; then rm -r %buildroot; fi

%makeinstall_std

install -d %buildroot/%_menudir/
kdedesktop2mdkmenu.pl kjsembed Applications/Development %buildroot/%_datadir/applications/kde/kjscmd.desktop %buildroot/%_menudir/kdebindings-kjscmd
kdedesktop2mdkmenu.pl kjsembed Applications/Development %buildroot/%_datadir/applnk/Utilities/embedjs.desktop %buildroot/%_menudir/kdebindings-embedjs

%clean
if [ -d %buildroot ]; then rm -r %buildroot; fi




%changelog
* Fri Feb 02 2007 Laurent Montel <lmontel@mandriva.com> 3.5.6-1mdv2007.0
+ Revision: 115883
- 3.5.6

* Wed Dec 13 2006 Laurent Montel <lmontel@mandriva.com> 1:3.5.5-4mdv2007.1
+ Revision: 96179
- Add patch to compile under x86_64 (improve patch from neoclust)
- Rebuild again new python
- 3.5.5

  + Helio Chissini de Castro <helio@mandriva.com>
    - Introducing 3.5.5 ( stange not be compiled before )
    - Recompiling against new python
    - Fix python macros ( was hardcoded on 2.4 )
    - Renamed qtruby as ruby-qt, matching with other ruby modules naming scheme
    - Removed old invalid qtlib patch

* Sat Aug 05 2006 Laurent Montel <lmontel@mandriva.com> 1:3.5.4-1mdv2007.0
+ Revision: 53355
- New package (2006/08/05 3.5.4-1mdv)
- Remove EmbedJS just test program not necessary into package

* Fri Jul 21 2006 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.3-4mdv2007.0
+ Revision: 41887
- Increase release
- Fixed typo that prevents python-qt install. http://qa.mandriva.com/show_bug.cgi?id=23871

* Thu Jul 20 2006 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.3-3mdv2007.0
+ Revision: 41713
- Disable smp compiling.
- Fix requires for python-qt
- Fixed configure macro
- Updated for main stable upstream version 3.5.3
- Fixed gcc 4 memory compile eater. Thanks to Danny.
- Fixed wrong lib64 detection
- Finally obsoleting external PyQt and sip packages. kdebindings provide up-to-date
  versions.
- Naming match python style now, so now we have python-kde and python-qt and
  python-sip.
- Fix for bug http://qa.mandriva.com/show_bug.cgi?id=17440
- Missing obsoletes
- Initial java package preparation. The current position of libgcj need some changes in
  java-compat tools. No effective package is created now.
- Both archs use multiarch on config.h
- x86 need test qtlib as well
- Bad bad multiproc compilation. kdebindings and cluster don't like distributed comp.
- Add missing patch
- Remodel kdebindings package using 3.5.1 release
- Smoke package is obsoleted in favor to move wrong placed sip runtime files to PyKDE new package
- x86_64 installs works
- kdec is finally obsoleted. The wrong files in there is moved to new packages
  perl-DCOP, python-dcop, lib(%%arch)smokeqt and lib(%%arch)smokekde. this solve a
  old nasty problem with dependencies.
- Create the smoke-devel package. perl-Qt bindings will be built correctly now.
- PyKDE package is created and is built against PyQt package and sip
- Removed all libtoolize bad magic and wrong rpath in favour of pristine source.
- TODO: See if any doc is available to bindings.
- Uploading package ./kdebindings

  + Laurent Montel <lmontel@mandriva.com>
    - Use macro
      Apply patch from neoclust to generate menu entry
    - Fix upgrade
    - 3.5.2
    - Active debug for cooker only
    - Add patch from trem <trem@zarb.org> to build on x86_64
    - Forgot to commit it
    - 3.5.0
      Remove conflict
    - Fix typo
      * Wed Nov 02 2005 Laurent MONTEL <lmontel@mandriva.com> 3.3.5-3mdk
    - Rebuild with new mysql
      * Thu Oct 27 2005 Helio Chissini de Castro <helio@mandriva.com> 3.3.5-2mdk
    - New immodule patch
    - 3.4.92
    - Fix compile
    - remove qtc and qtsharp from spec
    - buildrequires openssl-devel
      Patch from mpol@mandriva.org
    - Add build requires openssl-devel to fix MDV  #17275

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway


%changelog
* Wed Apr 20 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-4mdk
- Fix provides

* Mon Apr 18 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-3mdk
- Fix BuildRequires/Compile on x86_64 (thanks Nicolas Chipaux)

* Sat Apr 16 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-2mdk
- Rebuild 

* Thu Apr 14 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-1mdk
- 3.4.0
- --enable-new-ldflags

* Fri Mar 18 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-1mdk
- 3.3.2

* Mon Feb 07 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-1mdk
- 3.3.2

* Thu Dec 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-3mdk
- 3.3.2

* Thu Oct 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-2mdk
- Sync with CVS

* Fri Oct 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-1mdk
- 3.3.1

* Fri Sep 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-9mdk
- Remove last mono buildRequires

* Tue Sep 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-8mdk
- Remove unused BuildRequires

* Thu Aug 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-7mdk
- Remove unused patch

* Thu Aug 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-6mdk
- Disable compile for mono

* Tue Aug 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-5mdk
- Fix add/remove debug

* Tue Jul 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-4mdk
- Fix spec file

* Wed Jul 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-3mdk
- Fix remove rpath

* Tue Jul 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-2mdk
- Obsoletes smokeqt

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-1mdk
- 3.2.3

* Mon Apr 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-2mdk
- 3.2.2

* Tue Apr 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-2mdk
- Fix spec file to using rpmbuildupdate

* Fri Apr 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-1mdk
- 3.2.1

* Tue Mar 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-2mdk
- Use %%configure
- Use mdkversion

* Tue Feb 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-1mdk
- 3.2 

* Fri Jan 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-0.1mdk
- Fix for package freeze

* Wed Jan 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.95-1mdk
- 3.1.95

* Thu Jan 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-7mdk
- Sync with CVS

* Mon Jan 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-6mdk
- Fix BuildRequires
- Sync with CVS
- Reverte VFolder menu type to 'menu' menu type

* Fri Jan 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-5mdk
- Fix description
- Fix requires
- Add use_enable_final variable

* Mon Jan 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-4mdk
- Sync with CVS


* Mon Dec 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-3mdk
- Sync with CVS

* Thu Dec 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-2mdk
- Sync with CVS

* Mon Dec 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-1mdk
- 3.1.94

* Thu Jul 31 2003 Marcel Pol <mpol@gmx.net> 3.1.3-1mdk
- resurrect from the dead into contrib
- removed distro specific options
- buildrequires
- only compile qtc and qtsharp
- don't compile kdec for now, compile breaks since gcc-3-3-1-0.6mdk
- libpolicy/mklibname

* Mon Aug 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- kde3.0.2
- Add patch1/patch2 fix qtc compile with qt
- Add patch3 fix gcc-3.2 compile.

* Fri Mar 22 2002 David BAUDENS <baudens@mandrakesoft.com> 2.2.2-6mdk
- Enable 8.3 support
- Disable -fomit-frame-pointer on all supported %%ix86 architectures
- Fix BuildRequires for PPC (8.2 and 8.3)

* Fri Feb 15 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-5mdk
- Rebuild

* Tue Jan 15 2002 David BAUDENS <baudens@mandrakesoft.com> 2.2.2-4mdk
- Fix ./configure on all supported distributions
- 8.2: don't build static libraries
- Fix Group: on all supported distributions

* Fri Dec 07 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2.2-3mdk
- made rpmlint happy

* Mon Dec 03 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2.2-2mdk
- Remove objprelink

* Thu Nov 15 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2.2-1mdk
- kde 2.2.2

* Tue Sep 23 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2.1-3mdk
- Official updates for Linux-Mandrake 7.2 and 8.0
- Add support for Mandrake Linux 8.2
- Add Packager: Mandrake Linux KDE Team <kde@mandrakesoft.com>
- Rewrite %%configure steps
- 8.2: enable objprelink

* Sat Sep 21 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2.1-2mdk
- Remove update-menu/clean-menu (there is not menu file in this package)

* Wed Sep 19 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2.1-1mdk
- kde 2.2.1

* Fri Aug 31 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-3mdk
- Fix build requires

* Fri Aug 24 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-2mdk
- Rebuild with new kdelibs

* Wed Aug 08 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-1mdk
- kde 2.2

* Thu Jun 28 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.beta1.1mdk
- KDE 2.2.beta1
- Rewrite %%files sections

* Tue May 23 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-0.alpha2.1mdk
- kde2.2alpha2
